import _import from '../_import.js';

const attractFlowLinkRouter = [
  {
    path: '/attractFlowLink',
    name: '引流链接',
    component: _import('salesleads/actCodeManage/attractFlowLink', 'index'),
    meta: {
      keepAlive: true,
      fromPath: ['/attractFlowLinkAdd', '/attractFlowLinkEdit/:id', '/attractFlowLinkInfo/:id', '/attractFlowLinkInfos/:id']
    }
  },
  {
    path: '/attractFlowLinkAdd',
    name: '新增引流链接',
    meta: {
      type: 'add'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink', 'detail')
  },
  {
    path: '/attractFlowLinkEdit/:id',
    name: '编辑引流链接',
    meta: {
      type: 'edit'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink', 'detail')
  },
  {
    path: '/attractFlowLinkInfo/:id',
    name: '详情引流链接',
    meta: {
      type: 'info'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink', 'info')
  },
  {
    path: '/attractFlowLinkInfos/:id',
    name: '详情引流链接',
    meta: {
      type: 'info'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink', 'info')
  },
  {
    path: '/attLinkRecord',
    name: '查看记录',
    component: _import('salesleads/actCodeManage/staffActCode', 'actCodeRecord')
  },
  {
    path: '/ladingPageList',
    name: '落地页列表',
    component: _import('salesleads/actCodeManage/attractFlowLink/landingPage', 'list'),
    meta: {
      keepAlive: true,
      fromPath: ['/ladingPageAdd', '/ladingPageEdit/:id']
    }
  },
  {
    path: '/ladingPageAdd',
    name: '新建落地页',
    meta: {
      type: 'add'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink/landingPage', 'detail')
  },
  {
    path: '/ladingPageEdit/:id',
    name: '编辑落地页',
    meta: {
      type: 'edit'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink/landingPage', 'detail')
  },
  {
    path: '/operationLog',
    name: '操作日志',
    component: _import('salesleads/actCodeManage', 'operateLog')
  }
];

export default attractFlowLinkRouter;
